# NOTE: Derived from ../blib/lib/Fan/Cool.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan::Cool;

#line 385 "../blib/lib/Fan/Cool.pm (autosplit into ../blib/lib/auto/Fan/Cool/lookup.al)"
;#
;# lookup a pathname
;# convert:
;#	1. "abc//xyz" to "abc/xyz"
;#	2. "abc/./xyz" to "abc/xyz"
;#	3. "abc/foo/../xyz" to "abc/syz"
;# NOTES:
;#	This routine may be very slow... :-<
;#	Would anybody rewrite this code?
;#
sub lookup ($) {
	local $_ = shift;

	# null string is assumed as the current directory.
	$_ = '.' if $_ eq '';

	# most of simple case...
	return $_ if !/\//;

	# try to convert pathname.
	$_ .= '/';			# add trailing slash
	s|/+|/|go;			# foo//bar -> foo/bar
	my $absolute = s|^/||;		# 1 if $_ is a absolute path
	$_ = '/'.$_;			# for convinience
	1 while s|/\./|/|go;		# foo/./bar -> foo/bar

	# try main loop.
	my $tmp;
	do {	# xyz/foo/../bar -> xyz/bar
		$tmp = $_;
		s|([^/]+)/\.\./|$1 eq '..' ? '../../' : ''|geo;
	} while ($tmp ne $_) ;

	# aftercare
	s|^/|| if !$absolute;
	s|/+$|| if $_ ne '/';
	$_ = '.' if $_ eq '';
	$_;
}

;# end of Fan::Cool module
1;
# end of Fan::Cool::lookup
