# NOTE: Derived from ../blib/lib/Fan/FTP.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan::FTP;

#line 843 "../blib/lib/Fan/FTP.pm (autosplit into ../blib/lib/auto/Fan/FTP/idle.al)"
;#
sub idle {
	my $self = shift;

	if ($self->{no_idle}) {
		$self->error("SITE IDLE: not supported.");
		return wantarray ? () : undef;
	}
	if (@_) {
		if ($self->putreq("SITE IDLE $_[$[]") !~ /^2/) {
			$self->{no_idle}++ if $self->{lastcode} =~ /^5/;
			$self->error("IDLE: $self->{lastmesg}");
			return undef;
		}
		if ($self->{lastmesg} !~ /\d+/) {
			$self->error("IDLE: no IDLE timer found");
			return undef;
		}
		return $&;
	} else {
		if ($self->putreq("SITE IDLE") !~ /^2/) {
			$self->{no_idle}++ if $self->{lastcode} =~ /^5/;
			$self->error("IDLE: $self->{lastmesg}");
			return undef;
		}
		if ($self->{lastmesg} !~ /(\d+)\D+(\d+)/) {
			$self->error("IDLE: no IDLE,MAXIDLE timers found");
			return undef;
		}
		return wantarray ? ($1, $2) : $1;
	}
}

;# end of Fan::FTP module
1;
# end of Fan::FTP::idle
