# NOTE: Derived from ../blib/lib/Fan/TCP.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan::TCP;

#line 102 "../blib/lib/Fan/TCP.pm (autosplit into ../blib/lib/auto/Fan/TCP/new.al)"
;# Creat a new TCP object.
;#
;#	tcp_bindaddr	=> undef
;#	tcp_port	=> undef
;#	tcp_host	=> undef
;#	tcp_timeout	=> 120
;#
sub new ($%) {
	my $this = shift;
	my $class = ref($this) || $this;
	my %params = @_;
	my $self = \%params;

	# setup default values...
	$self->{tcp_timeout} = 120 if !defined($self->{tcp_timeout});
	$self->{tcp_state} = 1; # initial status is OK
	$self->{tcp_error} = ''; # error message will be stored.
	$self->{tcp_sent_octets} = 0;
	$self->{tcp_recv_octets} = 0;

	# bless me.
	bless $self, $class or return undef;

	# count up sequence #
	$seq_id++;

	# log message
	carp("TCP CREATING $self") if $LOG > 5;

	# return myself.
	return $self;
}

# end of Fan::TCP::new
1;
