# NOTE: Derived from blib/lib/Fan.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan;

#line 587 "blib/lib/Fan.pm (autosplit into blib/lib/auto/Fan/gen_subst.al)"
;# make pattern substitute subroutine
sub gen_subst ($) {
	my $func = undef;
	my $s = "\$func = sub {\n\tlocal(\$_) = \@_;\n";
	for my $re (@_) {
		if ($re =~ m,^s/,) {
			$s .= "\t$re;\n";
		} elsif ($re =~ m,^/,) {
			$s .= "\ts$re;\n";
		} else {
			$s .= "\ts/$re/;\n";
		}
	}
	$s .= "\t\$_;\n}\n";

	# debug information
	print "subst: $s" if $LOG > 7;

	# evaluate subroutine definition
	eval $s;
	confess $@ if $@;

	# success
	$func;
}

# end of Fan::gen_subst
1;
