# NOTE: Derived from ../blib/lib/Fan/Cool.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan::Cool;

#line 152 "../blib/lib/Fan/Cool.pm (autosplit into ../blib/lib/auto/Fan/Cool/plog.al)"
;#
;# Usage: plog(level, string, string, ...);
;#
;#
sub plog ($@) {
	# determin logging level...
	my $level = shift;
	if ($level !~ /^\d+$/) {
		$level = &plog_level($level);
	}

	# calculate log mask.
	my $mask;
	{ # We can't use ${$string} in `use strict'.
		no strict 'refs';
		$mask = ${(caller)[$[].'::LOG'} || $LOG;
	}

	# only if specified log level is less or equal to mask.
	if ($level <= $mask) {
		local $_;	# used in grep
		grep((print STDERR $_), @_);
	}

	# always success
	1;
}

# end of Fan::Cool::plog
1;
