# NOTE: Derived from ../blib/lib/Fan/Cool.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan::Cool;

#line 190 "../blib/lib/Fan/Cool.pm (autosplit into ../blib/lib/auto/Fan/Cool/plog_mask.al)"
;# Setting up log masks for generic modules.
;# For example, plog_mask("FTP=7,TCP,Scan", 6) causes
;#	$FTP::LOG = 7;
;#	$TCP::LOG = 6;
;#	$Scan::LOG = 6;
;#
sub plog_mask ($;$) {
	my @packages = split(/[,\s]+/, shift);
	my $lv = @_ ? plog_level(shift): $LOG; # default is $LOG.
	for my $str (@packages) {
		my($pack, $level) = $str =~ /=/
			? ($`, plog_level($')) : ($str, $lv);
		if ($pack ne '') {
			no strict 'refs';
			${$pack."::LOG"} = $level;
		}
	}
}

# end of Fan::Cool::plog_mask
1;
