# NOTE: Derived from ../blib/lib/Fan/FTP.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan::FTP;

#line 528 "../blib/lib/Fan/FTP.pm (autosplit into ../blib/lib/auto/Fan/FTP/get.al)"
;#
sub get ($$;$) {
	my $self = shift;
	my ($rx, $lx) = @_;
	my ($temp, $length);
	$lx = $rx if $lx eq '';
	($temp = $lx) =~ s%[^/]+$%.in.$&%;

	local *FILE;
	unless (CORE::open(FILE, ">$temp")) {
		return $self->status(0);
	}

	my $data = $self->makedataconn("RETR $rx");
	unless (ref($data) && $data->isa('Fan::TCP')) {
		CORE::close(FILE);
		unlink($temp);
		return $self->status(0);
	}

	local $_;
	while (defined($_ = $data->getdata(4096))) {
		(print FILE $_) || last;
	}

	undef $data;
	$self->cleardataconn;
	CORE::close(FILE);

	if ($self->getres !~ /^2/) {
		unlink($temp);
		return $self->status(0);
	}
	unless (CORE::rename($temp, $lx)) {
		my $e = $!.'';
		$self->error($e);
		return undef;
	}
	1;
}

# end of Fan::FTP::get
1;
