# NOTE: Derived from ../blib/lib/Fan/FTP.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan::FTP;

#line 208 "../blib/lib/Fan/FTP.pm (autosplit into ../blib/lib/auto/Fan/FTP/getres.al)"
;# recieve FTP response.
sub getres ($) {
	my $self = shift;
	my $buffer = '';
	my $line;

	while (defined($line = $self->getln)) {
		$buffer .= "\n" if $buffer ne '';
		$buffer .= $line;
		if ($line =~ /^(\d\d\d) /) {
			$self->{lastcode} = $1;
			($self->{lastmesg} = $') =~ s/\s+$//;
			$self->{buffer} = $buffer;
			return $self->{lastcode};
		}
	}

	$self->{lastcode} = 0;
	$self->{lastmesg} = "no response from server";
	undef; # status may be changed in getln or end-of-file
}

# end of Fan::FTP::getres
1;
