# NOTE: Derived from ../blib/lib/Fan/FTP.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan::FTP;

#line 123 "../blib/lib/Fan/FTP.pm (autosplit into ../blib/lib/auto/Fan/FTP/new.al)"
;# creat a new object.
;#	bindaddress	undef
;#	server		nont
;#	port		21
;#	user		anonymous
;#	pass		"$user\@$hostname"
sub new ($%) {
	my $this = shift;
	my $class = ref($this) || $this;
	my %param = @_;

	# if we required verbose output, set tcp_debug.
	$param{tcp_debug} = 1 if $LOG > 5;

	# bless myself.
	my $self = bless Fan::TCP->new(%param), $class;
	ref($self) or return undef;

	# log message
	carp("FTP CREATING $self") if $LOG > 5;

	# some default values.
	$self->{ftp_retry} = 3 if !exists($self->{ftp_retry});
	$self->{ftp_login_retry} = 0 if !exists($self->{ftp_login_retry});
	$self->{ftp_login_delay} = 60 if !exists($self->{ftp_login_delay});

	# result is myself.
	$self;
}

# end of Fan::FTP::new
1;
