# NOTE: Derived from ../blib/lib/Fan/FTP.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan::FTP;

#line 435 "../blib/lib/Fan/FTP.pm (autosplit into ../blib/lib/auto/Fan/FTP/pasv.al)"
;#
;# open passive socket
;#
sub pasv ($) {
	my $self = shift;
	my $a_regexp = '\((\d+),(\d+),(\d+),(\d+),(\d+),(\d+)\)';

	$self->clearerror	&&
	$self->cleardataconn	|| return undef;

	if ($self->putreq("PASV") !~ /^2/) {
		$self->error($self->{lastmesg});
		return undef;
	}
	if ($self->{lastmesg} !~ $a_regexp) {
		$self->error("pasv: no ADDR,PORT pair found");
		return undef;
	}

	my $bindaddr = $self->{ftp_bindaddr};
	my $port = $5 * 256 + $6;
	my $addr = join('.', $1, $2, $3, $4);
	my $data = Fan::TCP->new();

	$data && $data->do_client(
		tcp_bindaddr => $bindaddr,
		tcp_host => $addr,
		tcp_port => $port
	) or $self->error("can't do_client"), return undef;

	$self->{ftp_data} = $data;
	1;
}

# end of Fan::FTP::pasv
1;
