# NOTE: Derived from ../blib/lib/Fan/Farm.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan::Farm;

#line 48 "../blib/lib/Fan/Farm.pm (autosplit into ../blib/lib/auto/Fan/Farm/DESTROY.al)"
;#
;# Destroy FTP Archive Revision Manager object.
;#
sub DESTROY ($) {
	my $p = shift; # myself.
	my $dir = $p->{work_directory}; # farm directory.

	# Unlink all temporary files, including the lock file
	# for the working directory.
	for my $file (keys %{$p->{tempfiles}}) {
		warn("Fan::Farm unlink $file...\n") if $LOG > 5;
		unlink($file) if -e $file;
	}

	# Log message.
	carp("Fan::Farm DESTROYING $p") if $LOG > 5;
}

# end of Fan::Farm::DESTROY
1;
