# NOTE: Derived from ../blib/lib/Fan/Loader.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan::Loader;

#line 360 "../blib/lib/Fan/Loader.pm (autosplit into ../blib/lib/auto/Fan/Loader/get_value.al)"
;#
;# $loader->get_value('key-you-want', 'key-of-param', 'key-of-param',...);
;#
sub get_value ($$@) {
	my $self = shift;
	my $want = shift;
	my @keys = @_;
	my $val = undef;

# warn("try get value of \"$want\" from (".join(', ', @keys).")\n");
	while (@keys) {
		my $key = pop(@keys);
		my $p = $self->{loader_db}->{$key};
		if (ref($p) && $p->isa('Fan::Param')) {
# warn("  try $key\n");
			my $v = $p->getval($want);
			if (defined($v)) {
				$val = $v.$val;
# warn("  found val = $v\n");
				last if $v !~ /^\n/;
			}
		}
	}

	# not found...
# { my $v = $val; $v =~ s/\n/ /g; warn("  returning val = $v\n"); }
	$val;
}

;# end of Fan::Loader module
1;
# end of Fan::Loader::get_value
