# NOTE: Derived from ../blib/lib/Fan/Param.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan::Param;

#line 487 "../blib/lib/Fan/Param.pm (autosplit into ../blib/lib/auto/Fan/Param/want_path.al)"
;# want_path($string, $eval)
;# convert a tilda notation (like ~ftp).
;#
sub want_path {
	my $path = shift;
	my $dir = '';

# warn("input is \"$path\"\n");

	# Expand pathname first.
	# For example, "~ikuo/src/hogehoge" will expanded to
	# "/home/ikuo/src/hogehoge".
	if ($path =~ s|^~([^/]*)||) {
		if ($1 ne '') {
			$dir = (getpwnam($1))[7];
		} else {
			$dir = $ENV{'HOME'} || (getpwuid($<))[7];
		}
		$path = $dir.$path;
	}

	# Result must not be null string.
	return undef if $path eq '';

	# Evaluation test.
	if (@_) {
		local $_ = $path;

		if(!defined(eval shift)) {
			carp $@ if $@ && $LOG > 3;
# warn("result is undef\n");
			return undef;
		}
		$path = $_;
	}

# warn("result is path\n");
	# Result is $path.
	$path;
}

# end of Fan::Param::want_path
1;
