# NOTE: Derived from ../blib/lib/Fan/Scan.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan::Scan;

#line 204 "../blib/lib/Fan/Scan.pm (autosplit into ../blib/lib/auto/Fan/Scan/end.al)"
;#
;# $p->end is useful for the aftercare and validation of
;# directory stack operations.
;# This routine should be called at last of your directory
;# stack operations.
;#
sub end ($) {
	my $self = shift;

	# DEBUG purpose only.
	confess("$self->{walk_curdir}: remains in stack")
		unless ($self->{walk_curdir} eq '.');

	# clean work directory entry
	delete($self->{walk_curdir});

	# DEBUG mode only
	warn("Scan -DIR=. (end)\n") if $LOG > 7;

	# result is current directory
	undef;
}

# end of Fan::Scan::end
1;
