# NOTE: Derived from ../blib/lib/Fan/TCP.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan::TCP;

#line 65 "../blib/lib/Fan/TCP.pm (autosplit into ../blib/lib/auto/Fan/TCP/status_report.al)"
;# Show statistics report...
sub status_report ($) {
	my $this = shift;
	my $s = $sent_octets + 0;
	my $r = $recv_octets + 0;

	1 while $s =~ s/(\d+)(\d\d\d)/$1,$2/;
	1 while $r =~ s/(\d+)(\d\d\d)/$1,$2/;
	my $len = 0;
	$len = length($s) if $len < length($s);
	$len = length($r) if $len < length($r);

	warn("TCP status summary report:\n");
	warn(" total $seq_id objects created\n");
	warn(" sent". '.' x ($len + 3 - length($s)) . "$s octets\n");
	warn(" recv". '.' x ($len + 3 - length($r)) . "$r octets\n");
}

# end of Fan::TCP::status_report
1;
