# NOTE: Derived from blib/lib/Fan.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Fan;

#line 312 "blib/lib/Fan.pm (autosplit into blib/lib/auto/Fan/new.al)"
;# Parse targets in the rest of the arguments.
sub new ($%) {
	my $this = shift;
	my $class = ref($this) || $this;
	my %param = @_;

	# set special keys for this param.
	$param{param_keys} = \%pkeys;

	# Generate a new Param object.
	my $p = Fan::Param->new(%param);
	ref($p) or confess("Can't create Param object");

	# bless this
	bless $p, $class;

	# log messages...
	warn("Fan CREATE [$p->{param_name}]\n") if $LOG >= 6;

	# clear flags
	$p->success_terminate(0);

	# date string..
	my $t = time;
	my $s = str4date($t).' '.str4time($t);

	# package mirror starting...
	warn("$s $p->{param_name} starting.....\n") if $LOG > 4;

	# return myself.
	$p;
}

# end of Fan::new
1;
